<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        div {
            left: 0;
            background-color: red;
            width: 100px;
            height: 100px;
            border: 2px solid black;
            /*Para poder mover las cajas hay que darle position*/
            position: relative;
            /* Para que la animación sea constante si ponemos % hay que poner linear*/
            animation: mover-cuadrado 2s infinite linear;
        }

        /* Cambiamos la posición y el color de fondo*/
        @keyframes mover-cuadrado {
            0% {
                left: 100px;
                top: 100px;
                background-color: rgb(255, 0, 0);
            }

            25% {
                left: 200px;
                top: 200px;
                background-color: rgb(200, 0, 100);
            }

            50% {
                left: 300px;
                top: 300px;
                background-color: rgb(100, 0, 100);
            }

            75% {
                left: 400px;
                top: 400px;
                background-color: rgb(50, 0, 200);
            }

            100% {
                left: 500px;
                top: 500px;
                background-color: rgb(0, 0, 255);
            }

            /*
            Otra opción si no queremos mete %
            from {
                left: 0;
                top: 0;
            }

            to {
                left: 500px;
                top: 500px;
                background-color: blue;
            }
            */
        }
    </style>
</head>

<body>
    <h1>Keyframes</h1>
    <p>Usando keyframes hacemos que la caja se mueva y cambie su color de fondo</p>
    <div></div>
</body>

</html>